Publish with the Threads API
Updated: Oct 30, 2026
Copy for LLM
The Threads publishing endpoints allow you to upload and publish Threads media objects, check their status, and repost and delete posts. See Post to Threads for more information.
Common parameters
These parameters work the same way on every endpoint on this page that uses them. Each endpoint lists the ones it uses.
| Name | Description |
|---|---|
access_token
string
| Required. Threads API user access token. |
POST /{threads-user-id}/threads
Upload media and create media containers. See Posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
media_type
string
| Required. The type of media container to create. Values: TEXT, IMAGE, VIDEO, CAROUSEL |
text
string
| Optional. The text associated with the post. Uses UTF-8 encoding. Required for text-only posts. Note: For the post character limit, emojis are counted as the number of UTF-8 bytes. |
image_url
URL string
| Optional. The public URL of the image. Required if media_type=IMAGE. |
video_url
URL string
| Optional. The public URL of the video. Required if media_type=VIDEO. |
is_made_with_ai
Boolean
| Optional. Set to true to disclose that a post contains AI-generated content and display the AI info label. Supported for TEXT, IMAGE, VIDEO, and CAROUSEL posts.Values: true, false (default)Set this parameter when creating the media container, not when calling POST /{threads-user-id}/threads_publish. For carousels, set it on the parent container. Setting is_made_with_ai=true on an individual carousel item (is_carousel_item=true) returns an error.Omitting this parameter or setting it to false does not add an AI self-disclosure. It does not prevent automatic AI labeling. See Label AI-generated content for an example. |
is_carousel_item
Boolean
| Optional. Set to true if this container is an item in a carousel.Values: true, false (default) |
children
list of numeric strings
| Optional. A comma-separated list of the media container IDs of the carousel items. Required if media_type=CAROUSEL. |
reply_to_id
numeric string
| Optional. The ID of the post to reply to. Required if replying to a post. |
reply_control
string
| Optional. Specifies who can reply to the post. Values: everyone, accounts_you_follow, mentioned_only, parent_post_author_only, followers_only |
allowlisted_country_codes
list of strings
| Optional. A list of valid ISO 3166-1 alpha-2 country codes that represents the countries where this media should be shown. If this parameter is passed in, the media is not shown to Threads profiles in countries outside of this list. |
alt_text
string
| Optional. The accessibility text label or description for an image or video in a Threads post. Note: The maximum length of alt_text is 1,000 characters. |
link_attachment
URL string
| Optional. The URL attached to a Threads post. |
quote_post_id
numeric string
| Optional. ID of the post to quote. |
poll_attachment
object
| Optional. The options for a post with a poll attachment. |
auto_publish_text
Boolean
| Optional. When set to true, a Threads post is published automatically when a Threads media container is created without needing to go through the extra publish step.Note: This only works for text posts. |
topic_tag
string
| Optional. The topic to add to a post. Note: The following characters are not allowed in topic tags:
|
is_spoiler_media
Boolean
| Optional. Whether the media should be a spoiler. Values: true, false |
text_entities
object
| Optional. The spoiler settings for the post. |
text_attachment
object
| Optional. The text attachment for the post. |
gif_attachment
object
| Optional. The ID and GIF provider for the GIF to attach to the post. Fields: gif_id, provider |
is_ghost_post
Boolean
| Optional. Whether the post is a ghost post. Values: true, false |
enable_reply_approvals
Boolean
| Optional. Whether the post should have reply approvals enabled. Values: true, false |
crossreshare_to_ig
Boolean
| Optional. Cross-shares a Threads post to a linked Instagram account as a Story when set to true.Values: true, false (default) |
crossreshare_to_ig_dark_mode
Boolean
| Optional. Cross-shares a Threads post to a linked Instagram account as a Story in dark mode when set to true.Values: true, false (default) |
location_id
numeric string
| Optional. The ID of the location to tag. Note: Use the GET /location_search endpoint to find location IDs. |
POST /{threads-user-id}/threads_publish
Publish uploaded media using their media containers. See Posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-user-id
numeric string
| Required. The path parameter of the Threads user identifier. |
creation_id
numeric string
| Required. Identifier of the Threads media container. |
GET /{threads-container-id}?fields=status
Check the Threads media container publishing eligibility and status.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-container-id
numeric string
| Required. The path parameter of the Threads media container identifier. |
fields
string
| Optional. A comma-separated list of the fields to be returned. Values: id (default), status (default), error_message |
POST /{threads-media-id}/repost
Repost a Threads post that was previously published. See Reposts for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-media-id
numeric string
| Required. The path parameter of the Threads media identifier. |
DELETE /{threads-media-id}
Delete a Threads post. See Delete posts for more information.
Parameters
This endpoint also uses these common parameters:
access_token.| Name | Description |
|---|---|
threads-media-id
numeric string
| Required. The path parameter of the Threads media identifier. |